/***************************************************************************
 *   Copyright (C) 2007 by Jeroen van der Waal                             *
 *   jwaal@kabelfoon.nl                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef AVERAGEFRAMERATE_H
#define AVERAGEFRAMERATE_H

#include <QDateTime>

class AverageFrameRate
{
public:
  AverageFrameRate();
  void startMeasuring();
  void nextFrameReady();
  float averageFrameRate() const;
  void stopMeasuring();
  
private:
  QTime m_qtime;
  float m_averageFrameRate;
  static const int MAX_MEASUREMENTS = 10;
  int m_measurements[MAX_MEASUREMENTS];
  int m_totalMeasurements;
  bool m_isMeasuring;
};

#endif
