/***************************************************************************
 *   Copyright (C) 2007 by Jeroen van der Waal                             *
 *   jwaal@kabelfoon.nl                                                    *
 *                                                                         *
 *   with minor distortions by Johannes A. Koeppen                         *
 *   koeppen@ieee.org                                                      *
 *                                                                         *
 ***************************************************************************/


#ifndef DCMICONLISTMODEL_H
#define DCMICONLISTMODEL_H

#include <QAbstractListModel>
#include <QModelIndex>
#include <QVector>
#include <QFileInfo>
#include <QDir>
#include "minDcmImage.h"


class CDcmIconListModel : public QAbstractListModel
{
  Q_OBJECT
  
public:
  CDcmIconListModel(QObject *parent = 0);
  ~CDcmIconListModel();
  
  typedef enum { ReferenceFileIDRole = Qt::UserRole };
  typedef QVector<MinDcmImage*> TMinDcmImageVector;
  TMinDcmImageVector m_data;
  
  int rowCount(const QModelIndex &parent = QModelIndex()) const;
  QVariant data(const QModelIndex &index, int role) const;
  
  //functional methods
  bool loadDir(const QString& dirName);
  bool loadStringList(QStringList dcm_filename_list);
  void selectAll();
  void clear();
  
  bool showAfterLoadFile() const;
  void setShowAfterLoadFile(bool p_show);
  const QString& filename() const;
  
  
signals:
  void currentIndex(const QModelIndex& index);
  
private:
  void tst(QString qfn);
  TMinDcmImageVector m_selected;
  bool m_showAllAfterLoadFile;
  QString m_filename;
  QString m_dirname;
  
};

#endif

