/**************************************************************************
 *  Author      : Johannes A. Koeppen, koeppen@ieee.org                   *
 *  Year(s)     : 2010 - 2015                                             *
 *  File        : globals.h                                               *
 *  Context     : Sdr2 (Not approved for clinical use)                    *
 *  License     : GPL 2 or later                                          *
 *  Description : global functions                                        *
 *                                                                        *
 **************************************************************************/


#ifndef GLOBALS_H
#define GLOBALS_H

#include <QStringList>
#include <QRegExp>
#include <QList>

#include "nifti/nifti1_io.h"

static
QStringList dcm_suffixes = (QStringList() << ".dcm" << ".ima" << ".dicom" << "*");

#ifdef __cplusplus
extern          "C" {
#endif

extern int qStringToDoubleArray(QString str, int size,
                                double *double_array);
extern int qStringToIntArray(QString str, int size,
                             int *int_array);
extern inline double roundd(double val);
extern inline float roundf(float val);

extern void printMat44(mat44 M);

extern bool isDcmFilename(QString s);

extern int pad_to_8_16_32_64(int in);

extern void printNiftDatatype(int dt);

extern int uniqueIntInIntArray(int check, const int *intArray, int num);

#ifdef __cplusplus
}
#endif

#endif // GLOBALS_H
