/***************************************************************************
 *   Copyright (C) 2007 by Jeroen van der Waal                             *
 *   jwaal@kabelfoon.nl                                                    *
 *                                                                         *
 *   with minor distortions by Johannes A. Koeppen                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef QDICOMDIRICONWIDGET_H
#define QDICOMDIRICONWIDGET_H

class CDcmIconListModel;
class QListView;
class QModelIndex;

#include <QWidget>
#include "minDcmImage.h"

class QDicomDirIconWidget : public QWidget
{
  Q_OBJECT
  
public:
  QDicomDirIconWidget(QWidget* parent = 0);
  void setShowOnePatientOnly(bool p_show);
  QSize iconSize() const;
  void setIconSize(const QSize& p_size);
  MinDcmImage *midi;
  CDcmIconListModel* m_model;
  
public slots:
  void loadDir(const QString& p_dirname);
  void loadStringList(QStringList dcm_filename_list);
  void resetSeriesWindowing(double width, double center);
  
private slots:
  void doubleClickedHandler(const QModelIndex& index);
  void clickedHandler(const QModelIndex& index);
  
signals:
  void imageSelected(MinDcmImage *midi);
  void imageClicked(MinDcmImage *midi);
  void referenceFileIDSelected(const QString& referenceFileID);
  
protected:
  void dragEnterEvent(QDragEnterEvent* e);
  void dropEvent(QDropEvent* e);
  
private:
  QListView* m_listview;
};

#endif
